Loading...
Searching...
No Matches
pcl::PPFRGBSignature Struct Reference
Module common

A point structure for storing the Point Pair Color Feature (PPFRGB) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | PPFRGBSignature (float _alpha=0.f)
constexpr | PPFRGBSignature (float _f1, float _f2, float _f3, float _f4, float _alpha=0.f)
constexpr | PPFRGBSignature (float _f1, float _f2, float _f3, float _f4, float _alpha, float _r, float _g, float _b)

## Public Attributes

float | f1 = 0.f
float | f2 = 0.f
float | f3 = 0.f
float | f4 = 0.f
float | r_ratio = 0.f
float | g_ratio = 0.f
float | b_ratio = 0.f
float | alpha_m = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PPFRGBSignature &p)

## Detailed Description

A point structure for storing the Point Pair Color Feature (PPFRGB) values.

Definition at line 1255 of file point_types.hpp.

## Constructor & Destructor Documentation

## PPFRGBSignature() [1/3]

pcl::PPFRGBSignature::PPFRGBSignature | ( | float | _alpha = 0.f | ) |

inline constexpr

Definition at line 1261 of file point_types.hpp.

References PPFRGBSignature().

Referenced by operator<<, PPFRGBSignature(), and PPFRGBSignature().

## PPFRGBSignature() [2/3]

pcl::PPFRGBSignature::PPFRGBSignature | ( | float | _f1,
|  | float | _f2,
|  | float | _f3,
|  | float | _f4,
|  | float | _alpha = 0.f )

inline constexpr

Definition at line 1263 of file point_types.hpp.

References PPFRGBSignature().

## PPFRGBSignature() [3/3]

pcl::PPFRGBSignature::PPFRGBSignature | ( | float | _f1,
|  | float | _f2,
|  | float | _f3,
|  | float | _f4,
|  | float | _alpha,
|  | float | _r,
|  | float | _g,
|  | float | _b )

inline constexpr

Definition at line 1266 of file point_types.hpp.

References alpha_m, b_ratio, f1, f2, f3, f4, g_ratio, and r_ratio.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PPFRGBSignature & | p )

friend

References PPFRGBSignature().

## Member Data Documentation

## alpha_m

float pcl::PPFRGBSignature::alpha_m = 0.f

Definition at line 1259 of file point_types.hpp.

Referenced by PPFRGBSignature().

## b_ratio

float pcl::PPFRGBSignature::b_ratio = 0.f

Definition at line 1258 of file point_types.hpp.

Referenced by PPFRGBSignature().

## f1

float pcl::PPFRGBSignature::f1 = 0.f

Definition at line 1257 of file point_types.hpp.

Referenced by PPFRGBSignature().

## f2

float pcl::PPFRGBSignature::f2 = 0.f

Definition at line 1257 of file point_types.hpp.

Referenced by PPFRGBSignature().

## f3

float pcl::PPFRGBSignature::f3 = 0.f

Definition at line 1257 of file point_types.hpp.

Referenced by PPFRGBSignature().

## f4

float pcl::PPFRGBSignature::f4 = 0.f

Definition at line 1257 of file point_types.hpp.

Referenced by PPFRGBSignature().

## g_ratio

float pcl::PPFRGBSignature::g_ratio = 0.f

Definition at line 1258 of file point_types.hpp.

Referenced by PPFRGBSignature().

## r_ratio

float pcl::PPFRGBSignature::r_ratio = 0.f

Definition at line 1258 of file point_types.hpp.

Referenced by PPFRGBSignature().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp